package com.app.ui.adapter

import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import com.app.R
import com.app.YYApplication
import com.app.model.UserBase
import com.app.ui.adapter.viewholder.BaseViewHolder
import com.yy.util.image.VolleyUtil
import com.yy.util.string.StringUtils

/**
 * Created by liujiawei on 27/12/2017.
 */
class VipWelfareAdapter : BaseRecyclerAdapter() {

    private var users: ArrayList<UserBase>? = null

    override fun getItemCount(): Int {
        return if (users == null) 0 else users!!.size
    }

    override fun onBindViewHolder(holder: RecyclerView.ViewHolder?, position: Int) {
        super.onBindViewHolder(holder, position)
        if (holder is VipWelfareViewHolder) {
            val userBase = users!![position]
            holder.photoView!!.setImageResource(R.drawable.user_icon_default)
            if (userBase.image != null) {
                val imageUrl = userBase.image.imageUrl
                if (!StringUtils.isEmpty(imageUrl)) {
                    YYApplication.getInstance().imageLoader.get(imageUrl,
                            VolleyUtil.getImageListener(holder.photoView),
                            holder.photoView!!.measuredWidth, holder.photoView!!.measuredHeight, true)
                }
            }
        }
    }

    override fun onCreateViewHolder(viewGroup: ViewGroup?, itemType: Int): RecyclerView.ViewHolder {
        val itemView = LayoutInflater.from(YYApplication.getInstance()).inflate(R.layout.vip_welfare_adapter_layout, null, false)
        return VipWelfareViewHolder(itemView)
    }


    class VipWelfareViewHolder(itemView: View) : BaseViewHolder(itemView) {

        var photoView: ImageView? = null

        init {
            photoView = this.itemView.findViewById(R.id.id_photo) as ImageView?
        }
    }

    fun setData(listUser: ArrayList<UserBase>) {
        users = listUser
    }
}